Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class NoDefException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.NoDefException

public class NoDefException
extends JboException

Indicates that an attempt has been made to use a nonextistant definition.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`NoDefException(int defTypeId, java.lang.String defName)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_NO_DEFINITION`.
`NoDefException(java.lang.String defType, java.lang.String defName)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_NO_DEFINITION`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoDefException

    public NoDefException(java.lang.String defType,
                          java.lang.String defName)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_NO_DEFINITION`.
  Parameters:
    `defType` - the definition type, the first message parameter.
    `defName` - the definition name, the second message parameter.

### NoDefException

    public NoDefException(int defTypeId,
                          java.lang.String defName)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_NO_DEFINITION`.
  Parameters:
    `defType` - the definition type ID, the first message parameter.
    `defName` - the definition name, the second message parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD